import { createRectF, Paint } from '@nativescript-community/ui-canvas';
class NSImageBitmapRenderingContext {
    transferImageBitmap(imageSource) {
        this.transferFromImageBitmap(imageSource);
    }
    transferFromImageBitmap(imageSource) {
        const nativeContext = this.canvas.nativeContext;
        if (nativeContext) {
            const paint = new Paint();
            const rect = createRectF(0, 0, nativeContext.getWidth(), nativeContext.getHeight());
            paint.setAntiAlias(true);
            nativeContext.drawBitmap(imageSource, 0, 0, paint);
        }
    }
}
export { NSImageBitmapRenderingContext as ImageBitmapRenderingContext };
//# sourceMappingURL=ImageBitmapRenderingContext.js.map